Subject: bug#61814: [RFC] Asynchronous, jit-lock-based Flyspell

From: Augusto Stoffel <[email-masked]>
Date: Sun, 26 Feb 2023 16:36:58 +0100

On Sun, 26 Feb 2023 at 17:11, Eli Zaretskii wrote:

>> From: Augusto Stoffel <[email-masked]>
>> Date: Sun, 26 Feb 2023 15:56:00 +0100
>> 
>> Also, one obvious glitch is that one gets JIT™ corrections for the word
>> being currently typed.  Before going on an writing some ugly logic to
>> avoid that, and since one can influence an overlay appearance when the
>> mouse pointer hovers it, I was wondering if there's something analogous
>> for the cursor.
>
> I'm not sure I understand the problem: just don't spell-check the word
> at point and don't put any overlays there, and that's all.  Right?

Writing just any old code that achieves the result is easy.  Writing the
simplest and most elegant version sometimes requires much more work.  I
asked a specific question about overlays because knowing the answer
would help me in the latter endeavor.